EditActionMap("playMap.sae");

// SHEILD JUMP
// By MassMedia
// BE SURE YOU HAVE SCHEDULE.CS 
// in your Presto Folder

// Shield JUMP BINDED TO 5
bindCommand(keyboard0, make, "5", TO, "ShieldJump();");



Include("presto\\Schedule.cs");


function ShieldJump()
{
	if (getItemCount("StealthShield Pack") == 1)
	{
		schedule::ADD("use(\"Rocket Launcher\");", 0.15);		
    		schedule("use(\"BackPack\");", 0.25);
    		schedule::ADD("postAction(2048, IDACTION_FIRE1, -0);", 0.65 );
    		schedule::ADD("postAction(2048, IDACTION_BREAK1, -0);", 0.75 );
    		schedule("use(\"BackPack\");", 0.85 );
    		schedule::ADD("Mass::ShieldJumpReset();", 2 );
	}

	if (getItemCount("Shield Pack") == 1)
	{
		if ((getItemCount("Rocket Launcher") == 1) && (getItemCount("Disc Launcher") == 1))
		{
			schedule::ADD("use(\"Rocket Launcher\");", 0.15);		
    			schedule("use(\"BackPack\");", 0.45);
    			schedule::ADD("postAction(2048, IDACTION_FIRE1, -0);", 0.85 );
    			schedule::ADD("postAction(2048, IDACTION_BREAK1, -0);", 0.95 );
    			schedule("use(\"BackPack\");", 1.05 );
    			schedule::ADD("Mass::ShieldJumpReset();", 2 );
    		}
		if ((getItemCount("Rocket Launcher") == 1) && (getItemCount("Disc Launcher") == 0))
		{
			schedule::ADD("use(\"Rocket Launcher\");", 0.15);		
    			schedule("use(\"BackPack\");", 0.45);
    			schedule::ADD("postAction(2048, IDACTION_FIRE1, -0);", 0.85 );
    			schedule::ADD("postAction(2048, IDACTION_BREAK1, -0);", 0.95 );
    			schedule("use(\"BackPack\");", 1.05 );
    			schedule::ADD("Mass::ShieldJumpReset();", 2 );
    		}

    		if ((getItemCount("Disc Launcher") == 1) && (getItemCount("Rocket Launcher") == 0))
    		{
    			schedule::ADD("use(\"Disc Launcher\");", 0.05);		
    			schedule("use(\"BackPack\");", 0.45);
    			schedule::ADD("postAction(2048, IDACTION_FIRE1, -0);", 0.85 );
    			schedule::ADD("postAction(2048, IDACTION_BREAK1, -0);", 0.95 );
    			schedule("use(\"BackPack\");", 1.05 );
    			schedule::ADD("Mass::ShieldJumpReset();", 2 );
		}
	}

	if ((getItemCount("StealthShield Pack") == 0) && (getItemCount("Shield Pack") == 0))
	{
		RemoteCP(2048, "You have no shield! <f2>Shield Jump <f1>ABORTED!", 3);
	}
}

function Mass::ShieldJumpReset()
{
	schedule::cancel("use(\"Disc Launcher\");");
	schedule::cancel("use(\"Rocket Launcher\");");
	schedule::cancel("use(\"BackPack\");");
	schedule::cancel("postAction(2048, IDACTION_FIRE1, -0);");
	schedule::cancel("postAction(2048, IDACTION_BREAK1, -0);");
	schedule::cancel("Mass::ShieldJumpReset();");
}


Event::Attach(eventChangeMission, Mass::ShieldJumpReset);
Event::Attach(eventConnected, Mass::ShieldJumpReset);
Event::Attach(eventDisconnected, Mass::ShieldJumpReset);